
TCA Reference - Bug # 56279

Status: Closed Priority: Must have
Author: Helmut Hummel Category:
Created: 2014-02-25 Assigned To: Francois Suter
Updated: 2014-08-01 Due date:
Subject: Add new way to register wizards in TCA to TCA reference
Description

#56268 adds a new way to register a wizard in TCA

The old way is to add:

'script' => 'path/to/wizard.php'

The new way is:

'module' => array(
    'name' => 'wizard_name'
)

For the new way to work it is required to add the wizard through the add module API as follows:

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addModulePath(
    'wizard_name',
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'path/to/wizard/'
);

This requires a index.php and conf.php being present in that directory (maybe link to the documentation section of that API)

Related issues:
related to Core - Task # 56268: Add new way to register a TCA wizard Resolved 2014-02-25

Associated revisions
Revision 08c1a433 - 2014-03-06 11:14 - Francois Suter

[FEATURE] New wizards registration

Updated documentation to reflect the new way of registering
wizards.

Resolves: #56279
Releases: 6.2

Change-Id: I9668aee2b0d2449347827340a13408021c62317c
Reviewed-on: https://review.typo3.org/28095
Reviewed-by: Wouter Wolters
Reviewed-by: Francois Suter
Tested-by: Francois Suter

History
#1 - 2014-02-25 17:46 - Markus Klein
- Project changed from Documentation to TCA Reference
- Category deleted (Manuals)

#2 - 2014-02-25 17:47 - Markus Klein
- Target version set to 6.2.0

#3 - 2014-02-27 18:35 - Francois Suter
- Status changed from New to Needs Feedback
- Assigned To set to Francois Suter

It is really unclear what wizards are impacted by this change. Obviously not all, but I need more information in order to document properly. I have
asked in the Core list already, but I figured I would send another message in a bottle.

#4 - 2014-02-27 18:45 - Helmut Hummel

Francois Suter wrote:

It is really unclear what wizards are impacted by this change. Obviously not all, but I need more information in order to document properly. I have
asked in the Core list already, but I figured I would send another message in a bottle.

I paste my response from the core list here:

On 27.02.14 16:34, François Suter wrote:

I'm looking at the recent change in wizards registration [1]. As far as
I can see, it was applied only to edit wizard calls [2]. There are quite
a few other wizards in the Core (add, colorbox, form, table, t3editor,
slider, suggest). Are these also affected and should they be changed?

Yes. We're changing them as well. It is part of the Security Workpackage1

Is it just the "popup" type?

Yes. The goal is that we reduce all "entry scripts" (scripts that run by calling the PHP file in the browser) and make them being dispatched through
mod.php to benefit from the CSRF protection that has been built in now2

What should I put in the documentation to explain which wizards are
affected and which not.

All wizards in the core will use this way to be registered in TCA.
It should be documented, that if the wizards are used in own tables, or new wizards are created, the new way is highly recommended.
[1]http://forge.typo3.org/issues/55066
[2]http://forge.typo3.org/issues/55509

#5 - 2014-03-02 21:16 - Helmut Hummel

hold on, documenting this.

I might come up with a method to register a wizard, which requires less boilerplate code...

#6 - 2014-03-05 11:28 - Francois Suter

Any news on this, Helmut? All patches seem to have been committed, so I suppose the method will not change. I'll proceed now with updating the
documentation.

#7 - 2014-03-05 22:41 - Francois Suter
- Status changed from Needs Feedback to Accepted
- Priority changed from Should have to Must have

#8 - 2014-03-06 09:56 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Documentation/TYPO3/Reference/Tca has been pushed to the review server.
It is available at https://review.typo3.org/28095

#9 - 2014-03-06 11:43 - Francois Suter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:08c1a4333380ddb634d38a9118f7ecc76941bfc5.

#10 - 2014-08-01 14:22 - Francois Suter
- Status changed from Resolved to Closed
